bingausshub <- function(n = 64, p = .5, binf = -3.5, bsup = 3.5){
 sigma = sqrt(n * p * (1 - p))
 nbbornes = (bsup - binf) * sigma + 1
 x <- seq(binf, bsup, length.out = nbbornes)
 f <- function(v){dbinom(floor(v + .5), n, p)}
 g <- function(v){sigma * f(n * p + sigma * v)}
 y <- g(x) ; names(y) <- x
#************** Affichage des rsultats et des graphiques ***************
# print(x); print(g(x))
 print("Probabilits binomiales") ; print(y / sigma)
 plot(x, y, type= "n", lty = 2, xaxp = c(binf, bsup, nbbornes - 1),
      ylim = c(0, max(g(x))), cex.axis = .8,
      xlab = "variable Z=(X - np)/racine(np(1 - p))", ylab = "Densit",
      main = paste("X est de loi binomiale n =", n, ", p =", p,
      "-- Subdivision de", nbbornes - 1, "intervalles d'tendue", 1 / sigma,
      "\nHistogramme de Z en jaune, densit gaussienne courbe rouge",
      "\nLes probabilits binomiales sont indiques en haut des rectangles"))
  for(i in 1:(nbbornes - 1)){
    polygon(c(x[i], x[i], x[i + 1], x[i + 1]),
    c(0, g(x[i]), g(x[i]), 0), col = "yellow1")
    text(x[i] + .1, round(g(x[i]), 2) - .01, labels = round(g(x[i]) / sigma, 4),
         cex = .8)          }
  points(x, dnorm(x, 0, 1), type = "l", col = "red")
#-----colors()[grep("grey",colors())]
}
