binocentral = function(n = 50, r = 30, m = 100, nsim = 1000, nbclass = 20){
  mucpt <- n*r/m ; sigmacpt <- sqrt((n*r/m)*(1-r/m))
  muprop <- r/m ; sigmaprop <- sqrt((r/m)*(1-r/m)/n)
  xgauss <- seq(-4, 4, .1) ; ygauss <- dnorm(xgauss)
  urne <- 1:m
  vectcpt <- vector(length = nsim)
  vectprop <- vector(length = nsim)
  vectbinocr <- vector(length = nsim)
  vectpcr <- vector(length = nsim)
  tabloeffec <- rep(0,n+1)
  names(tabloeffec) <- 0:n
  for (i in 1:nsim){
     vectepreuv <- sample(urne,n,replace=T)
     vectcpt[i] <- sum(vectepreuv <= r)
     vectprop[i] <- vectcpt[i]/n
     vectbinocr[i] <- (vectcpt[i] - mucpt)/sigmacpt
    vectpcr[i] <- (vectcpt[i]/n - muprop)/sigmaprop
                   }
  effec <- table(vectcpt)
  tabloeffec[as.numeric(names(effec))+1] <- effec
  infcpt <- floor(min(vectcpt)*100)/100 ; supcpt <- ceiling(max(vectcpt)*100)/100
  etendcpt <- (supcpt - infcpt)/nbclass
  infprop <- floor(min(vectprop)*100)/100 ; supprop <- ceiling(max(vectprop)*100)/100
  etendprop <- (supprop - infprop)/nbclass
  infbinocr <- floor(min(vectbinocr)*100)/100 ; supbinocr <- ceiling(max(vectbinocr)*100)/100
  etendbinocr <- (supbinocr - infbinocr)/nbclass
  infpcr <- floor(min(vectpcr)*100)/100 ; suppcr <- ceiling(max(vectpcr)*100)/100
  etendpcr <- (suppcr - infpcr)/nbclass
#************************************* Affichage des rsultats ***************************
  cat("Moyenne des comptages =", mean(vectcpt), "-- Variance des comptages =",
      var(vectcpt), "\n")
  cat("Moyenne des comptages centred =", mean(vectbinocr), "-- Variance des comptages centred =", var(vectbinocr), "\n")
  cat("Moyenne des proportions =", mean(vectprop), "-- Variance des proportions =", var(vectprop), "\n")
  cat("Moyenne des proportions centred =", mean(vectpcr), "-- Variance des proportions centred =", var(vectpcr), "\n")
graphics.off()
  par(mfrow = c(3,1))
  barcpt <- barplot(tabloeffec, xlab = "Nombre de succs",
     ylab = "Effectif", main = paste("Diagramme en barre d'une variable binomiale n=", n, ", p =", r/m))
  histcpt <- hist(vectcpt, freq = F, breaks=seq(infcpt,supcpt,etendcpt), right=F,
     xlab = paste("Nombre de succs -- chantillons de taille", n),
     main = "Histogramme d'une variable binomiale")
  histbinocr <- hist(vectbinocr, freq = F, breaks=seq(infbinocr, supbinocr, etendbinocr), right=F,
     xlab = paste("Nombre de succs -- Variable centre rduite -- chantillons de taille", n),
     main = "Histogramme d'une variable binomiale centre rduite")
   lines(xgauss, ygauss)
  windows()
  par(mfrow = c(3,1))
  barplot(tabloeffec, xlab = "Nombre de succs",
     ylab = "Effectif", main = paste("Diagramme en barre d'une variable binomiale n=", n, ", p =", r/m))
  histprop <- hist(vectprop, freq = F, breaks=seq(infprop, supprop, etendprop), right=F,
     xlab = paste("Proportion de succs -- chantillons de taille", n),
     main = "Histogramme d'une variable proportion de succs")
  histpcr <- hist(vectpcr, freq = F, breaks=seq(infpcr, suppcr, etendpcr), right=F,
     xlab = paste("Proportion de succs -- Variable centre rduite -- chantillons de taille", n),
     main = "Histogramme d'une variable proportions centre rduite")
   lines(xgauss, ygauss)
}