IFexact = function(n = 100, ppop = .52, kobs = 43, proba = .95){
#****************** IF binomial mthode inspection ****************
 a <- 0 ; b <- 0
 reparti1 <- pbinom(0:n, n, ppop, lower.tail = T)
 names(reparti1) <- 0:n
 p <- 0
 while(p <= (1 - proba)/2){
   p <- pbinom(a, n, ppop, lower.tail = T)
   a <- a + 1             }
 p <- 0
 while(p < (1 - (1 - proba)/2)){
   p <- pbinom(b, n, ppop, lower.tail = T)
   b <- b + 1                  }
 probaab <- sum(dbinom((a - 1):(b - 1), n, ppop))
 if(kobs >= (a - 1) & kobs <= (b - 1)) {
   hypothese <- "ACCEPTE"             } else {hypothese <- "REFUSE"}
#****************** IF binomial mthode Brigitte et Claudine ****************
 probabil <- vector(length = n + 1)
 names(probabil) <- 0:n
 esper <- round(n * ppop)
 p <- dbinom(esper, n, ppop) ; probabil[esper + 1] <- p
 if(p >= proba) {cat("\nIl n'existe pas d'IF solution au problme pos") ; stop()}
 a3 <- esper - 1 ; b3 <- esper + 1
 if(a3 < 0 | b3 > n) {
   cat(" Algorithme ne grant pas encore les problmes particuliers aux bornes 0 et n")
              stop() }
 p <- sum(dbinom(a3:b3, n, ppop))
 probabil[c(a3 + 1,b3 + 1)] <- c(p, p)
 while(p < proba){
   a3 <- a3 - 1 ; b3 <- b3 + 1
   if(a3 < 0 | b3 > n) {
   cat(" Algorithme ne grant pas encore les problmes particuliers aux bornes 0 et n")
               stop()  }
   p <- sum(dbinom(a3:b3, n, ppop))
   probabil[c(a3 + 1,b3 + 1)] <- c(p, p)
                  }
 Zprobabil <- probabil[(a3 + 1):(b3 + 1)]
 names(Zprobabil) <- a3:b3
#************** deux IF asymptotiques mthodes seconde et premire ***********
 c1 <- qnorm((1 - (1 - proba)/2), 0, 1)*sqrt(ppop*(1 - ppop)/n)
 asympt1 <- ppop - c1; bsympt1 <- ppop + c1
 asympt2 <- ppop - 1 / sqrt(n) ; bsympt2 <- ppop + 1 / sqrt(n)
#******************* Affichage des rsultats ***********************
# print("******")
# print(Zprobabil)
# print("******")
 par(mfrow = c(2, 1))
 barplot(Zprobabil, xlab = "variable binomiale", ylab = "probabilits bilatrales",
      main = paste("Probabilit d'IF binomial n = ", n, "p =",ppop,
                   "\n IF mthode Brigitte et Claudine"))
 abline(h = proba)
 plot(0:n,reparti1, type = "p", xlab = "variable binomiale",
     ylab = "probabilits cumules", cex = .4,
     main = paste("Rpartition de la loi binomiale n = ", n, "p =",ppop,
                  "\n IF mthode inspection"))
 abline(h =c((1 - proba)/2, (1 - (1 - proba)/2)))
 cat("\nTableau partiel de la rpartition de X\n")
    print(reparti1[(a - 1):a])
    print(reparti1[(b - 1):b])
 cat("\nL'IF exact des comptages mthode inspection est :\n[",
    a - 1,",",b - 1,"] de probabilit :", probaab,
    "\nL'IF exact des proportions mthode inspection est :\n[",
    (a - 1)/n,",",(b - 1)/n,"]\n",
    "Hypothse p population = ", ppop, ": confronte  p observ =",kobs/n,
    " : ",hypothese,"\n")
 cat("\nL'IF exact des comptages mthode Brigitte et Claudine est :\n[",
    a3,",",b3,"] de probabilit :", p,
    "\nL'IF exact des proportions mthode Brigitte et Claudine est :\n[",
    a3/n,",",b3/n,"]\n")
 cat("\nL'IF asymptotique des proportions formule premire est :\n[",
    asympt1,",",bsympt1,"]\n")
 cat("\nL'IF asymptotique des proportions formule seconde est :\n[",
    asympt2,",",bsympt2,"]\n")
}