binom.r = function(n.bin = 10, p.bin = .5, nrep =1000){
   binom.result= vector(length=nrep)
   #---------------------------------------------------
   #   SIMULATION d'une loi binomiale B(n.bin, p.bin)
   #---------------------------------------------------
   # tableau est le vecteur contenant les effectifs  des
   #  nrep simu de B(n.bin, p.bin)
   #  initialisation à 0
   # Utilisation :
   #    source("binom.r")
   #     binom.r(5,.2,400)
   tableau  = rep(0, n.bin+1)
   names(tableau) = 0:n.bin
 for(i in 1:nrep){
      x = runif(n.bin)
      x1= sum(x <= p.bin)
      binom.result[i] = x1
                  }
 # tt = table des effectifs
 #  plot(binom.result,type="l",col="red",xlab="",ylab="nb reussites")
   tt = table(binom.result)
   tableau[ as.numeric(names(tt))+1 ]= tt
   barplot(tableau,ylab="effectif", xlab="nb reussites")
}

hypergeom.r = function(m.pop = 50, m1 = 25, nech = 5,  nrep =1000){
 if((m1 > m.pop) | (nech > m.pop)) {
                print("ERREUR arguments!")
                stop()
                                  }
urne = c( rep(0,m.pop - m1) , rep(1, m1))
   tableau  = rep(0, nech + 1)
   names(tableau) = 0:nech
   hyper.simu = vector("numeric",length = nrep)
for(i in 1:nrep){
    ech = sample(urne, size = nech, replace=T)
    hyper.simu[i] = sum(ech)
                 }
   tt = table(hyper.simu)
   tableau[ as.numeric(names(tt))+1 ]= tt
   barplot(tableau, ylab="effectif", xlab="nb reussites") 
}

dalembert.r=function(nb.jeux = 10, proba = .5, nrep =1000){
 simu =  vector("numeric",length = nrep)
   tableau  = rep(0, nb.jeux + 1)
   names(tableau) = 0:nb.jeux
  for(i in 1:nrep){
       simu[i] = 0
       j = 1
       x = ( runif(n=1) < proba)*1
            while( (x != 1) &  (j <= nb.jeux) ) {
               j = j+1 ; x =( runif(n=1) < proba )*1
                                               }
               if(j <= nb.jeux) simu[i] = j
                 }
   tt = table(simu)
  print(tt)
   tableau[ as.numeric(names(tt))+1 ]= tt
   barplot(tableau, ylab= "effectif", xlab="Rang",col="yellow") 
}
