moivrepcr = function(n = 20, r = 30, m = 100, nsim = 1000, nbclass = 20){
  urne <- 1:m
  vectcpt <- vector(length = nsim)
  vectpcr <- vector(length = nsim)
  moyennes <- vector(length = nsim)
  variances <- vector(length = nsim)
  for (i in 1:nsim){
     vectepreuv <- sample(urne,n,replace=T)
     vectcpt[i] <- sum(vectepreuv <= r)
     vectpcr[i] <- (vectcpt[i]/n - r/m)/sqrt((r/m)*(1-r/m)/n)
     moyennes[i] <- mean(vectpcr)
     variances[i] <- var(vectpcr)
                   }
  infcpt <- floor(min(vectcpt)*100)/100 ; supcpt <- ceiling(max(vectcpt)*100)/100
  etendcpt <- (supcpt - infcpt)/nbclass
  infpcr <- floor(min(vectpcr)*100)/100 ; suppcr <- ceiling(max(vectpcr)*100)/100
  etendpcr <- (suppcr - infpcr)/nbclass
  infmoy <- floor(min(moyennes)*100)/100 ; supmoy <- ceiling(max(moyennes)*100)/100
  etendmoy <- (supmoy - infmoy)/nbclass
  infvar <- floor(min(variances)*100)/100 ; supvar <- ceiling(max(variances)*100)/100
  etendvar <- (supvar - infvar)/nbclass
  # cat(etendmoy, etendvar, "\n")
  cat("Moyenne des comptages de r =", mean(vectcpt), "-- Variance des comptages de r =", var(vectcpt), "\n")
  cat("Moyenne des proportions centred =", mean(vectpcr), "-- Variance des proportions centred =", var(vectpcr), "\n")
  par(mfrow = c(4,1))
  histcpt <- hist(vectcpt,breaks=seq(infcpt,supcpt,etendcpt),right=F, main = paste("Echantillons de taille", n))
  histpcr <- hist(vectpcr,breaks=seq(infpcr,suppcr,etendpcr), right=F, main = paste("Echantillons de taille", n))
  histmoy <- hist(moyennes,breaks=seq(infmoy,supmoy,etendmoy),right=F, main = paste("Moyennes d'chantillons de taille", n))
  histvar <- hist(variances,breaks=seq(infvar,supvar,etendvar),right=F, main = paste("Variances d'chantillons de taille", n))
}

binocentral = function(n = 50, r = 30, m = 100, nsim = 1000, nbclass = 20){
  urne <- 1:m
  vectcpt <- vector(length = nsim)
  vectprop <- vector(length = nsim)
  vectbinocr <- vector(length = nsim)
  vectpcr <- vector(length = nsim)
  tabloeffec <- rep(0,n+1)
  names(tabloeffec) <- 0:n
  for (i in 1:nsim){
     vectepreuv <- sample(urne,n,replace=T)
     vectcpt[i] <- sum(vectepreuv <= r)
     vectprop[i] <- vectcpt[i]/n
     vectbinocr[i] <- (vectcpt[i] - n*r/m)/sqrt((n*r/m)*(1-r/m))
    vectpcr[i] <- (vectcpt[i]/n - r/m)/sqrt((r/m)*(1-r/m)/n)
                   }
  effec <- table(vectcpt)
  tabloeffec[as.numeric(names(effec))+1] <- effec
  infcpt <- floor(min(vectcpt)*100)/100 ; supcpt <- ceiling(max(vectcpt)*100)/100
  etendcpt <- (supcpt - infcpt)/nbclass
  infpcr <- floor(min(vectpcr)*100)/100 ; suppcr <- ceiling(max(vectpcr)*100)/100
  etendpcr <- (suppcr - infpcr)/nbclass
  infbinocr <- floor(min(vectbinocr)*100)/100 ; supbinocr <- ceiling(max(vectbinocr)*100)/100
  etendbinocr <- (supbinocr - infbinocr)/nbclass
  cat("Moyenne des comptages =", mean(vectcpt), "-- Variance des comptages =",
      var(vectcpt), "\n")
  cat("Moyenne des comptages centred =", mean(vectbinocr), "-- Variance des comptages centred =", var(vectbinocr), "\n")
  cat("Moyenne des proportions =", mean(vectprop), "-- Variance des proportions =", var(vectprop), "\n")
  cat("Moyenne des proportions centred =", mean(vectpcr), "-- Variance des proportions centred =", var(vectpcr), "\n")
  par(mfrow = c(4,1))
  barplot(tabloeffec, xlab = paste("Nombre de succs -- chantillons de taille", n),
     ylab = "Effectif", main = "Diagramme en barre d'une variable binomiale")
  histcpt <- hist(vectcpt,breaks=seq(infcpt,supcpt,etendcpt),right=F,
     xlab = paste("Nombre de succs -- chantillons de taille", n),
     main = "Histogramme d'une variable binomiale")
  histbinocr <- hist(vectbinocr,breaks=seq(infbinocr,supbinocr,etendbinocr),right=F,
     xlab = paste("Nombre de succs -- Variable centre rduite -- chantillons de taille", n),
     main = "Histogramme d'une variable binomiale centre rduite")
  histpcr <- hist(vectpcr,breaks=seq(infpcr,suppcr,etendpcr), right=F,
     xlab = paste("Proportion de succs -- Variable centre rduite -- chantillons de taille", n),
     main = "Histogramme de la variable des proportions")
}

moivrebinop = function(n = 20, r = 30, m = 100, nsim = 1000, nbclass = 20){
  urne <- 1:m
  vectcpt <- vector(length = nsim)
  tabloeffec <- rep(0,n+1)
  names(tabloeffec) <- 0:n
  vectp <- vector(length = nsim)
  for (i in 1:nsim){
     vectepreuv <- sample(urne,n,replace=T)
     vectcpt[i] <- sum(vectepreuv <= r)
     vectp[i] <- (vectcpt[i]/n)
                   }
  effec <- table(vectcpt)
  tabloeffec[as.numeric(names(effec))+1] <- effec
  infp <- 0 ; supp <- 1
  etendp <- (supp - infp)/nbclass
  cat("Moyenne des comptages =", mean(vectcpt), "-- Variance des comptages =", var(vectcpt), "\n")
  cat("Moyenne des proportions =", mean(vectp), "-- Variance des proportions =", var(vectp), "\n")
  par(mfrow = c(4,1))
  barplot(tabloeffec, xlab = "Nombre de succs", ylab = "Effectif")
  histp <- hist(vectp,breaks=seq(infp,supp,etendp), right=F, main = paste("Echantillons de taille", n))
}