testbovmal = function(pmalpop = .01, ptposmal = .85, ptpossain = .05, nbsim = 5000){
  simpop <- runif(nbsim) # population simule de bovins
  nbmal <- sum(simpop <= pmalpop) # effectif bovins malades de M dans cette population simule
  nbsain <- nbsim - nbmal # effectif bovins non malades de M dans cette population simule
  simpopmal <- runif(nbmal) # population simule de bovins malades dans simpop
  nbposmal <- sum(simpopmal <= ptposmal) # effectif de tests positifs parmi les malades
  simpopsain <- runif(nbsain) # population simule de bovins sains dans simpop
  nbpossain <- sum(simpopsain <= ptpossain) # effectifs de tests positifs parmi les non malades de M
  cat("Proba estime de malade et test positif =",nbposmal/nbsim,"\n")
  cat("Proba estime de test positif =",(nbposmal+nbpossain)/nbsim,"\n")
  cat("Proba estime de bovin malade sachant test positif =",nbposmal/(nbposmal+nbpossain),"\n")
}

cinqbovins = function(n = 5, p = .058, k = 1, nbsim = 5000){
  vecnbmal <- vector(length = nbsim)
  for (j in 1:nbsim) vecnbmal[j] <- sum(runif(n) <= p)
  nbaumoinsk <- sum(vecnbmal >= k)
  cat("Estimation de la probabilit d'au moins", k,"malades parmi les",n,"=",nbaumoinsk/nbsim,"\n")
}